apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName | quote }}
type: Opaque
stringData:
  {{- with .Values.pcdc.smtp }}
  pcdc-smtp-from-address: {{ .fromAddress | quote }}
  pcdc-smtp-host: {{ .hostname | quote }}
  pcdc-smtp-port: {{ .port | quote }}
  pcdc-smtp-password: {{ .password | quote }}
  pcdc-smtp-user: {{ .username | quote }}
  {{- end }}

  {{- with .Values.pcdc.postgres }}
  pcdc-postgres-host: {{ .hostname | quote }}
  pcdc-postgres-port: {{ .port | quote }}
  pcdc-postgres-username: {{ .username | quote }}
  pcdc-postgres-password: {{ .password | quote }}
  pcdc-postgres-db: {{ .db | quote }}
  {{- end }}

  pcdc-sas-token: {{ .Values.pcdc.azure.sasToken | quote }}
  pcdc-jwt-secret: {{ .Values.pcdc.jwtSecret | quote }}
  pcdc-admin-jwt-secret: {{ .Values.pcdc.adminJwtSecret | quote }}
  pcdc-api-token-salt: {{ .Values.pcdc.apiTokenSalt | quote }}
